# coding=utf-8
from abc import ABC, abstractmethod


class Embedding(ABC):
    @abstractmethod
    def __init__(self, **param):
        pass

    @abstractmethod
    def getem(self, question):
        pass
